#!/bin/bash

sudo apt update

echo "downloading GNU"


# URL jahan se GNU software download karna hai
gnu_url="https://ftp.gnu.org/gnu/"

# GNU software ka naam
software_name="your-gnu-software-name"  # GNU software ka naam yahan par replace karein

# Latest release version ka URL retrieve karein
latest_release_url=$(wget -qO - $gnu_url$software_name/?C=M | grep -oE 'href="[^"]+"' | grep -oE '[^"]+' | grep "$software_name-[0-9]" | head -1)

# Latest release version ka naam extract karein
latest_release=$(echo $latest_release_url | grep -oE "$software_name-[0-9]+" | head -1)

# Latest release download URL
download_url=$gnu_url$software_name/$latest_release.tar.gz

# Software ko download karein
echo "Downloading $latest_release..."
wget -q $download_url

echo "$latest_release downloaded successfully."

echo "downloading blender"

# Blender download URL
blender_url="https://download.blender.org/release/Blender2.93/blender-2.93.7-linux-x64.tar.xz"
# Blender ka save path
blender_tar="blender.tar.xz"

# Blender ko download karein
echo "Downloading Blender..."
wget -q $blender_url -O $blender_tar

# Blender ko extract karein
echo "Extracting Blender..."
tar -xf $blender_tar

# Download complete message
echo "Blender download and extraction complete."

